## xf86-input-wacom 1.0.0

=== meson_options.txt ===
option('sdkdir',
	type: 'string',
	value: '',
	description: 'Directory to install header files in [default=from xorg-server pkgconf]'
)
option('xorg-module-dir',
	type: 'string',
	value: '',
	description: 'Directory to install the driver in [default=from xorg-server pkgconf]'
)
option('xorg-conf-dir',
	type: 'string',
	value: '',
	description: 'Directory to install the xorg.conf.d snippets in [default=from xorg-server pkgconf]'
)
option('systemd-unit-dir',
	type: 'string',
	value: '',
	description: 'Directory to install systemd service files in [default=$prefix/lib/systemd/system]'
)
option('udev-rules-dir',
	type: 'string',
	value: '',
	description: 'Directory to install udev rules in [default=$prefix/lib/udev/rules.d]'
)
option('debug-messages',
	type: 'boolean',
	value: true,
	description: 'Disable debugging log messages [default=enabled]'
)
option('unittests',
	type: 'feature',
	value: 'auto',
	description: 'Enable unit-tests [default=auto]'
)
option('fuzzinterface',
	type: 'boolean',
	value: false,
	description: 'Enable xsetwacom to take NUL-separated commands from stdin [default=no]'
)
option('serial-device-support',
	type: 'boolean',
	value: true,
	description: 'Build with ISDV4 serial support'
)
option('wacom-gobject',
	type: 'feature',
	value: 'auto',
	description: 'Build the Wacom GObject library and associated tools [default: auto]'
)

## xf86-input-wacom 0.17.0

=== debian/changelog ===
xf86-input-wacom (1:0.17.0-0ubuntu2) quantal; urgency=low

  * Add ignore-out-of-box-events.diff, fix cursor jumping to top-left
    corner when touching a button on Intuos5. (LP: #1038615)
  * Switch to source format 3.0 (quilt) due to .bz2 tarball.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 17 Sep 2012 17:00:19 +0300

xf86-input-wacom (1:0.17.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * watch: Upstream uses bz2 now.
  * Add-LogMessageVerbSigSafe-to-fake-symbols.diff: Fix a distcheck failure.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 06 Sep 2012 12:32:15 +0300

xf86-input-wacom (1:0.16.0+0git9f32b03-0ubuntu1) quantal-proposed; urgency=low

  [ Maarten Lankhorst ]
  * New upstream release.
  * Add fixes from git
  * Removed upstream patches:
    - only-match-tablet-waltop.diff
    - 102-add-intuos5-support.diff
  * Add xserver-xorg-input-wacom-dbg

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 01 Aug 2012 15:01:07 +0300

xf86-input-wacom (1:0.14.0-0ubuntu3) quantal; urgency=low

  * Drop 101_fix_build_against_frankenserver.patch, we're building
    against 1.12 now.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 04 Jul 2012 00:57:10 +0300

xf86-input-wacom (1:0.14.0-0ubuntu2) precise; urgency=low

  * 102-add-intuos5-support.diff: Add support for Intuos5 tablets.
  * only-match-tablet-waltop.diff: Let evdev handle rest of the device,
    wacom takes care of just the tablet part.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Mar 2012 13:07:00 +0300

xf86-input-wacom (1:0.14.0-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #961743).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Mar 2012 00:44:18 +0200

xf86-input-wacom (1:0.13.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Refresh 101_fix_build_against_frankenserver.patch to apply.
  * Add another hunk to patch 101 to work around the input ABI
    hybrid we have.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 01 Feb 2012 12:34:53 +0200

xf86-input-wacom (1:0.12.0-0ubuntu2) precise; urgency=low

  * Rebuild against X server 1.11.
  * debian/patches/101_fix_build_against_frankenserver.patch:
    - Our 1.11/1.12 hybrid server doesn't have the input config changes
      found in ABI 14.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 20 Dec 2011 19:31:06 +1100

xf86-input-wacom (1:0.12.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - dropped patch 101, included upstream
    - patch 100 modified to apply
  * Add libxinerama-dev to build-deps, needed by the new upstream.
  * Changed the VCS headers to point to the correct repository.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 17 Nov 2011 11:52:42 +0200

xf86-input-wacom (1:0.11.0-0ubuntu2) oneiric; urgency=low

  * Rename 100_enable_waltop.diff to 100_enable_extra_devices.diff
  * Add 101_add_e6.patch and add "ISD-V4" to 100_enable_extra_devices.diff:
    Enable touchscreen wacom support for E6 2FGT tablet PC digitizer used in
    Lenovo x220 tablets.
    (LP: #787781)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 20 Sep 2011 12:07:18 -0700

xf86-input-wacom (1:0.11.0-0ubuntu1) oneiric; urgency=low

  * New upstream version.
    - remove patches 101 and 102, included upstream.
  * Add 100_enable_waltop.diff
    - Autoload wacom for Waltop devices (LP: #300067)
  * Switch to dh:
    - Bump debhelper build-dep, add dh-autoreconf build-dep.
    - Bump compat to 8.
    - Rework debian/rules.
    - Remove xsfbs.
    - Remove autogenerated files.
    - Add xserver-xorg-input-wacom.install.
  * Add libudev-dev to build-deps.
  * Bump Standards version to 3.9.1 (no changes needed).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 25 May 2011 09:58:54 +0300

xf86-input-wacom (1:0.10.11-0ubuntu4) natty; urgency=low

  * 102_add_support_for_lenovo_x220.diff: Add an id for Lenovo X220
    tablet. (LP: #746652)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 11 Apr 2011 10:56:02 +0300

xf86-input-wacom (1:0.10.11-0ubuntu3) natty; urgency=low

  * Add 101_xsetwacom_ccw.patch: Fix rotate "ccw" to be accepted when set
    (LP: #727505)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 07 Mar 2011 17:43:04 -0800

xf86-input-wacom (1:0.10.11-0ubuntu2) natty; urgency=low

  * Rebuild to pick up new Xserver dependencies

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 23 Feb 2011 17:52:00 +1100

xf86-input-wacom (1:0.10.11-0ubuntu1) natty; urgency=low

  * New upstream release
    + Fix PreInit failure cleanup path to prevent SIGSEGV (LP: #718331)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 22 Feb 2011 11:32:47 +1100

xf86-input-wacom (1:0.10.10-0ubuntu3) natty; urgency=low

  * debian/control: Bump xserver build-depend to really, really rebuild against
    Xserver 1.10

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 01 Feb 2011 20:36:13 +1100

xf86-input-wacom (1:0.10.10-0ubuntu2) natty; urgency=low

  * Rebuild against Xserver 1.10

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 31 Jan 2011 18:37:40 -0800

xf86-input-wacom (1:0.10.10-0ubuntu1) natty; urgency=low

  * New upstream release
  * Drop debian/patches/100_add_ntrig_ids.patch; applied upstream
  * debian/control:
    + Reflow {Build-,}Depends to one-per-line now the list is elongating.
    + Add libxrandr-dev to Build-Depends

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 14 Jan 2011 18:21:39 -0600

xf86-input-wacom (1:0.10.8-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #599512).  Fixes build against Xserver 1.9.
  * debian/watch:
    + Canonical source is now on SourceForge, where we can watch it.  Do so.
  * debian/control:
    + Bump build-dep on xserver-xorg-dev to ensure we build against the new
      Xserver 1.9 ABI.
  * debian/patches/100_ntrig_2010_02_03.patch:
    + Drop; it no longer applies.  Replace with equivalent upstream commit
      in 100_add_ntrig_ids.patch

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 03 Aug 2010 09:38:33 +1000



=== debian/control ===
Source: xf86-input-wacom
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 8),
 dh-autoreconf,
 pkg-config,
 xutils-dev,
 xserver-xorg-dev (>= 2:1.11),
 libxi-dev,
 libxrandr-dev,
 quilt,
 libudev-dev,
 libxinerama-dev,
Standards-Version: 3.9.1
Homepage: http://linuxwacom.sf.net
Vcs-Git: git://git.debian.org/users/tjaalton-guest/xf86-input-wacom.git
Vcs-Browser: http://git.debian.org/?p=users/tjaalton-guest/xf86-input-wacom.git;a=summary

Package: xserver-xorg-input-wacom
Section: x11
Architecture: any
Depends: ${xinpdriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: xinput
Provides: ${xinpdriver:Provides}
Replaces: wacom-tools (<< 0.10.0)
Conflicts: wacom-tools (<< 0.10.0)
Description: X.Org X server -- Wacom input driver
 This package provides the X.Org driver for Wacom tablet devices.

Package: xserver-xorg-input-wacom-dbg
Architecture: linux-any
Depends:
 ${misc:Depends},
 xserver-xorg-input-wacom (= ${binary:Version}),
Section: debug
Priority: extra
Description: X.Org X server -- Wacom input driver
 This package provides the X.Org driver for Wacom tablet devices.
 .
 This package provides debugging symbols for this Xorg X driver.

## xf86-input-wacom 0.19.0

=== debian/changelog ===
xf86-input-wacom (1:0.19.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 18 Jan 2013 11:05:11 +0200

xf86-input-wacom (1:0.18.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - the driver supports XI2 multitouch now
  * Drop upstream patches.
  * control: Bump policy to 3.9.3, no changes.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 10 Dec 2012 13:55:32 +0200

## xf86-input-wacom 0.20.0

=== debian/changelog ===
xf86-input-wacom (1:0.20.0-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 15:39:17 +0300

xf86-input-wacom (1:0.19.0-0ubuntu3.3) raring; urgency=low

  * disable-tests.diff: Don't build tests (FTBFS).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 08 Feb 2013 13:21:00 +0200

xf86-input-wacom (1:0.19.0-0ubuntu2) raring; urgency=low

  * Rebuild to pick up new Xserver dependencies.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 08 Feb 2013 11:58:29 +0200

## xf86-input-wacom 0.23.0

=== debian/changelog ===
xf86-input-wacom (1:0.23.0-0ubuntu2) trusty; urgency=medium

  * Rebuild for xorg 1.15 abi.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 05 Feb 2014 09:28:37 +0000

xf86-input-wacom (1:0.23.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1235615)
    - Add support for Intuos Pro (LP: #1234811)
    - Add support for Cintiq 22HDT and 13HD, DTK2241 and DTH2242

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 05 Oct 2013 09:50:10 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  quilt,
  libudev-dev,
  libxinerama-dev,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://linuxwacom.sf.net
 Vcs-Git: git://git.debian.org/users/tjaalton-guest/xf86-input-wacom.git
 Vcs-Browser: http://git.debian.org/?p=users/tjaalton-guest/xf86-input-wacom.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

# Force the order:
override_dh_installudev:
	dh_installudev --priority=69

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with quilt,autoreconf,xsf --builddirectory=build/

# Debug package:
override_dh_strip:
	dh_strip --dbg-package=xserver-xorg-input-wacom-dbg

## xf86-input-wacom 0.25.0

=== debian/changelog ===
xf86-input-wacom (1:0.25.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Drop the udev script and use the upstream provided one.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 10 Sep 2014 16:34:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 	find debian/tmp -name '*.la' -delete
 	dh_install --fail-missing
 
-# Force the order:
-override_dh_installudev:
-	dh_installudev --priority=69
-
 # That's a plugin, use appropriate warning level:
 override_dh_shlibdeps:
 	dh_shlibdeps -- --warnings=6

## xf86-input-wacom 0.30.0

=== debian/changelog ===
xf86-input-wacom (1:0.30.0-0ubuntu3) wily; urgency=medium

  * rules: Remove .la files again.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Oct 2015 16:31:59 +0300

xf86-input-wacom (1:0.30.0-0ubuntu2) wily; urgency=medium

  * rules, install: dh_install doesn't support renaming files,
    mangle 69-wacom.rules in rules as before. (LP: #1497041)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Sep 2015 08:20:39 +0300

xf86-input-wacom (1:0.30.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/control:
    - Use debhelper 9
    - Use standards version 3.9.6
  * debian/compat:
    - Use debhelper 9
  * debian/rules:
    - Set udev rules directory at configure time
    - Set Xorg module dir
    - Set systemd unit dir
    - Drop unneeded build directory
    - Don't need to delete .la files anymore
  * debian/xserver-xorg-input-wacom.install:
    - Don't need to move systemd unit anymore
    - Use multi-arch location for pkgconfig file
    - Renamed wacom.rules to 69-wacom.rules

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Jul 2015 14:52:21 +1200

xf86-input-wacom (1:0.25.0-0ubuntu2) wily; urgency=medium

  * rules, install: Fix udev rules and systemd service install
    destination. (LP: #1392887)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 May 2015 08:18:55 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  pkg-config,
  xutils-dev,
@@ -13,7 +13,7 @@
  quilt,
  libudev-dev,
  libxinerama-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://linuxwacom.sf.net
 Vcs-Git: git://git.debian.org/users/tjaalton-guest/xf86-input-wacom.git
 Vcs-Browser: http://git.debian.org/?p=users/tjaalton-guest/xf86-input-wacom.git;a=summary

## xf86-input-wacom 0.32.0

=== debian/changelog ===
xf86-input-wacom (1:0.32.0-0ubuntu3) xenial; urgency=medium

  * Really rebuild against the new xserver.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Mar 2016 13:42:33 +0200

xf86-input-wacom (1:0.32.0-0ubuntu2) xenial; urgency=medium

  * Rebuild against new xserver.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Jan 2016 10:19:20 +0200

xf86-input-wacom (1:0.32.0-0ubuntu1) xenial; urgency=medium

  * New upstream release. (LP: #1534966)
  * control: Update git repo urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Jan 2016 10:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  libxinerama-dev,
 Standards-Version: 3.9.6
 Homepage: http://linuxwacom.sf.net
-Vcs-Git: git://git.debian.org/users/tjaalton-guest/xf86-input-wacom.git
-Vcs-Browser: http://git.debian.org/?p=users/tjaalton-guest/xf86-input-wacom.git;a=summary
+Vcs-Git: git://git.debian.org/users/tjaalton/xf86-input-wacom.git
+Vcs-Browser: http://git.debian.org/?p=users/tjaalton/xf86-input-wacom.git;a=summary
 
 Package: xserver-xorg-input-wacom
 Section: x11

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
                      --with-udev-rules-dir=/lib/udev/rules.d \
                      --with-xorg-module-dir=/usr/lib/xorg/modules \
                      --with-systemd-unit-dir=/lib/systemd/system

override_dh_install:
	find debian/tmp -name '*.la' -delete
	mv $(CURDIR)/debian/tmp/lib/udev/rules.d/wacom.rules \
		$(CURDIR)/debian/tmp/lib/udev/rules.d/69-wacom.rules
	dh_install --fail-missing

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

%:
	dh $@ --with quilt,autoreconf,xsf

# Debug package:
override_dh_strip:
	dh_strip --dbg-package=xserver-xorg-input-wacom-dbg

## xf86-input-wacom 0.33.0

=== debian/changelog ===
xf86-input-wacom (1:0.33.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 24 May 2016 13:48:43 +1200

## xf86-input-wacom 0.34.0

=== debian/changelog ===
xf86-input-wacom (1:0.34.0-0ubuntu2) zesty; urgency=medium

  * fix-tests.diff: Fix test build against new xserver.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Mar 2017 11:16:53 +0200

xf86-input-wacom (1:0.34.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * control: Drop -dbg package.
  * disable-tests.diff: Dropped, tests pass again.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Mar 2017 15:27:59 +0200

## xf86-input-wacom 0.36.1

=== debian/changelog ===
xf86-input-wacom (1:0.36.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
    - add support for Cintiq 27QHDT, Cintiq Pro 24/32, 2nd gen Intuos Pro
  * watch: Updated.
  * fix-tests.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 03 Apr 2018 10:39:26 +0300

=== debian/control ===
--- 
+++ 
@@ -30,15 +30,3 @@
 Conflicts: wacom-tools (<< 0.10.0)
 Description: X.Org X server -- Wacom input driver
  This package provides the X.Org driver for Wacom tablet devices.
-
-Package: xserver-xorg-input-wacom-dbg
-Architecture: linux-any
-Depends:
- ${misc:Depends},
- xserver-xorg-input-wacom (= ${binary:Version}),
-Section: debug
-Priority: extra
-Description: X.Org X server -- Wacom input driver
- This package provides the X.Org driver for Wacom tablet devices.
- .
- This package provides debugging symbols for this Xorg X driver.

## xf86-input-wacom 0.39.0

=== debian/changelog ===
xf86-input-wacom (1:0.39.0-0ubuntu1) focal; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Mar 2020 10:56:19 +0200

xf86-input-wacom (1:0.38.0-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.
  * skip-touchscreens.diff: Dropped, not needed anymore.
  * control: Update git urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Nov 2019 18:13:46 +0200

xf86-input-wacom (1:0.36.1-0ubuntu2) disco; urgency=medium

  * skip-touchscreens.diff: Don't use wacom for touchscreens. (LP:
    #1774242)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Apr 2019 10:26:53 +0300

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  libxinerama-dev,
 Standards-Version: 3.9.6
 Homepage: http://linuxwacom.sf.net
-Vcs-Git: git://git.debian.org/users/tjaalton/xf86-input-wacom.git
-Vcs-Browser: http://git.debian.org/?p=users/tjaalton/xf86-input-wacom.git;a=summary
+Vcs-Git: git://git.launchpad.net/~ubuntu-x-swat/xf86-input-wacom.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-x-swat/xf86-input-wacom
 
 Package: xserver-xorg-input-wacom
 Section: x11

## xf86-input-wacom 1.0.0

=== debian/changelog ===
xf86-input-wacom (1:1.0.0-3ubuntu1) jammy; urgency=medium

  * Merge from Debian (LP: #1968167). Remaining changes:
    - bump the epoch

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Apr 2022 10:39:37 +0300

xf86-input-wacom (1.0.0-3) unstable; urgency=medium

  * debian/watch: Fix monitoring script.
  * debian/control: Restrict arch to linux-any since this project
    is not for non-linux.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Apr 2022 09:27:06 -0400

xf86-input-wacom (1.0.0-2) unstable; urgency=high

  * debian/rules: Use non-multiarch dir for xorg module.
    (Closes: #1007697)

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Mar 2022 10:29:25 -0400

xf86-input-wacom (1.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #964106)
  * Switch to new upstream (GitHub).
  * debian/watch: Monitor new upstream.
  * debian/gbp.conf: Added for DEP-14 repo format.
  * debian/control: Bump debhelper compat to v13.
  * debian/upstream/metadata: Added.
  * debian/rules: Rewrite with dh sequencer.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Mar 2022 08:06:18 -0400

xf86-input-wacom (0.34.99.1-2) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1005844)
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Update Vcs-* fields. (Closes: #909230)
    + Update homepage field. (Closes: #964107)
    + Bump Standards-Version to 4.6.0.
  * debian/compat: Bump to v7. (Closes: #965897)
  * debian/source/format: Bump to 3.0 (quilt). (Closes: #1007073)

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Mar 2022 07:26:46 -0400

xf86-input-wacom (0.34.99.1-1) unstable; urgency=medium

  * Make sibling device name matching slightly more lenient.
    This improves support of subdevices for MobileStudio Pro and Cintiq Pro.

  * Revert to Update properties with a timer func.
    With the new input thread it was possible to send events from that thread
    directly, but doing that had some other undesirable consequences, like
    triggering a bug in the server which could make it crash.  Later versions
    of the server caught that, and instead caused this to spew warnings to the
    xorg logs.   Closes: #856140, #862639

  * xsetwacom: use XkbGetMap instead of XkbGetKeyboard.
    This is more robust in cases where certain keyboard description components
    are missing.

  * Introduce "Pressure2K" config option for incompatible software.
    The 0.34.0 release included commit 3e56ce44 which increased the range of
    pressure values that are reported to better support newer devices which
    have greater precision than the historical range allowed for.

    Unfortunately, there appear to be some buggy applications which don't take
    into account the advertised range (though GTK 2/3 and Qt 3-5 should), and
    may misbehave with the new range.  Until they too are fixed, this release
    includes a workaround that users can enable, forcing the use of the old
    pressure range.

    To enable that, you'll want to add something like the following snippet to
    a file in the /etc/X11/xorg.conf.d directory (see xorg.conf(5) and wacom(4)
    for more details of doing that).

     Section "InputClass"
        Identifier "Wacom pressure compatibility"
        MatchDriver "wacom"
        Option "Pressure2K" "true"
     EndSection

    Closes: #862671

 -- Ron Lee <ron@debian.org>  Mon, 26 Jun 2017 16:33:04 +0930

xf86-input-wacom (0.34.0-1) unstable; urgency=medium

  * Handle the input ABI 23 - removal of xf86BlockSIGIO.

 -- Ron Lee <ron@debian.org>  Tue, 24 Jan 2017 02:46:45 +1030

xf86-input-wacom (0.33.0-1) unstable; urgency=medium

  * Fix regression in simple button mapping. Closes: #840635
  * Prevent xf86-input-wacom from binding to pure-keyboard devices.
    Along with other updates to the xorg conf, possibly Closes: #804743
  * Fix conflict with libinput over which driver to use by changing the xorg
    conf priority to 70.  Along with a similar change to the priority that
    libinput registers itself with, this Closes: #825391
  * Move xorg-wacom.pc to a multiarch dir so that it can be used when cross
    compiling too.  Many thanks to Helmut Grohne for the work he's done on
    making that possible for more distro packages and for doing the legwork
    to catch this and figure out what was needed here.  Closes: #837949
  * Includes some fixes for touch handling, possibly Closes: #803390, #793159

 -- Ron Lee <ron@debian.org>  Fri, 28 Oct 2016 16:07:55 +1030

xf86-input-wacom (0.30.0-1) unstable; urgency=medium

  * Fixes FTBFS in Stretch due to missing headers needed for fstat(2).
    This was already caught and fixed in upstream commits
    8317dc44c142a2d38e85e6d2955236d7dd900450 and
    5ce9a72fb8249af500e88bde3e6ec0239cd0b8ac.  Closes: #790631

 -- Ron Lee <ron@debian.org>  Sat, 04 Jul 2015 09:30:47 +0930

xf86-input-wacom (0.26.0+20140918-1) unstable; urgency=medium

  * I dedicate this snapshot to Odin^Wclang.
  * Include the systemd unit file for ISDv4 serial devices.
  * Drop the old udev rules with all the by-type symlinks, now that XOrg
    hotplug actually works we shouldn't need those anymore.  Just use the
    simpler rules from upstream (after prefixing them with a priority).

 -- Ron Lee <ron@debian.org>  Sat, 04 Oct 2014 14:22:03 +0930

xf86-input-wacom (0.23.0+20131011-1) unstable; urgency=low

  * Threshold applies to pen tools only.
  * Fix missing pad/expresskey events issue.
  * Decide WCM_LCD by kernel property.
  * Update for newer autoconf/libtool, needed for some new arches.
  * Probably Closes: #675802 as well.

 -- Ron Lee <ron@debian.org>  Sun, 27 Oct 2013 06:30:36 +1030

xf86-input-wacom (0.22.99.1-1) unstable; urgency=low

  * New upstream snapshot.  Closes: #721916, though I'm seriously doubtful
    that's really the cause.  Gets us ready for xserver 1.14 hitting sid.

 -- Ron Lee <ron@debian.org>  Sun, 22 Sep 2013 20:27:10 +0930

xf86-input-wacom (0.15.0+20120515-2) unstable; urgency=low



=== debian/control ===
Source: xf86-input-wacom
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libudev-dev,
 libx11-dev,
 libxi-dev,
 libxinerama-dev,
 libxrandr-dev,
 pkg-config,
 xserver-xorg-dev (>= 2:1.9.4),
 xutils-dev,
Standards-Version: 4.6.0
Homepage: https://linuxwacom.github.io/
Vcs-Git: https://salsa.debian.org/debian/xf86-input-wacom.git
Vcs-Browser: https://salsa.debian.org/debian/xf86-input-wacom

Package: xserver-xorg-input-wacom
Section: x11
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${xinpdriver:Depends},
Suggests:
 xinput,
Provides:
 ${xinpdriver:Provides},
Replaces:
 wacom-tools (<< 0.10.0),
Conflicts:
 wacom-tools (<< 0.10.0),
Description: X.Org X server -- Wacom input driver
 This package provides the X.Org driver for Wacom tablet devices.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/linuxwacom/xf86-input-wacom/releases \
 (?:.*?/)?v?@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## xf86-input-wacom 1.1.0

=== debian/changelog ===
xf86-input-wacom (1.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on xserver-xorg-dev.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/upstream/signing-key.asc: Add upstream signing key.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 10:19:13 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  libxinerama-dev,
  libxrandr-dev,
  pkg-config,
- xserver-xorg-dev (>= 2:1.9.4),
+ xserver-xorg-dev,
  xutils-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://linuxwacom.github.io/
 Vcs-Git: https://salsa.debian.org/debian/xf86-input-wacom.git
 Vcs-Browser: https://salsa.debian.org/debian/xf86-input-wacom

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

include /usr/share/dpkg/default.mk

SYSTEMD_SYSTEM_DIR = /lib/systemd/system
UDEV_RULES_D_DIR = /lib/udev/rules.d
XORG_MODULE_DIR = /usr/lib/xorg/modules

package = xserver-xorg-input-wacom
XDEP = $(shell cat /usr/share/xserver-xorg/xinputdep)
XSUB = debian/$(package).substvars

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    --with-systemd-unit-dir=$(SYSTEMD_SYSTEM_DIR) \
	    --with-udev-rules-dir=$(UDEV_RULES_D_DIR) \
	    --with-xorg-module-dir=$(XORG_MODULE_DIR) \
	    $(NULL)

execute_after_dh_auto_install:
	# Purge .la files
	$(RM) debian/xserver-xorg-input-wacom/usr/lib/xorg/modules/input/*.la
	# Rename wacom udev rules with serial number
	mv debian/xserver-xorg-input-wacom/$(UDEV_RULES_D_DIR)/wacom.rules debian/xserver-xorg-input-wacom/$(UDEV_RULES_D_DIR)/69-wacom.rules
	# Handle xinpdriver:*
	echo "xinpdriver:Depends=$(XDEP)" > $(XSUB)
	echo "xinpdriver:Provides=xorg-driver-input" >> $(XSUB)

## xf86-input-wacom 1.2.0

=== debian/changelog ===
xf86-input-wacom (1:1.2.0-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:22:51 +0200

xf86-input-wacom (1:1.2.0-1ubuntu1) mantic; urgency=medium

  * Merge from Debian, remaining changes: bump the epoch

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Jun 2023 16:33:39 +0200

xf86-input-wacom (1.2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Jun 2023 21:31:07 -0400

xf86-input-wacom (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Apr 2023 15:25:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xf86-input-wacom
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libudev-dev,

## xf86-input-wacom 1.2.3

=== meson_options.txt ===
--- 
+++ 
@@ -48,3 +48,8 @@
 	value: 'auto',
 	description: 'Build the Wacom GObject library and associated tools [default: auto]'
 )
+option('xsetwacom',
+	type: 'boolean',
+	value: 'true',
+	description: 'Build the xsetwacom tool [default: true]'
+)

=== debian/changelog ===
xf86-input-wacom (1:1.2.3-1ubuntu1) questing; urgency=medium

  * Sync with Debian. Remaining change: bump the epoch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 17:43:43 -0400

xf86-input-wacom (1.2.3-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/patches/31d3b745d630ed87ed25d1f44a6596c9968ffc0c.patch:
    Cherry-pick upstream patch to fix installation of systemd unit.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Jan 2025 11:17:20 -0500

xf86-input-wacom (1.2.3-1~exp1) experimental; urgency=medium

  * QA upload.
  * debian/upstream/signing-key.asc: Use new pubkey.
  * New upstream version 1.2.3.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jan 2025 12:49:37 -0500

xf86-input-wacom (1.2.2-3) unstable; urgency=medium

  * QA upload.

  * Corrected 1000-appstream-metainfo.patch to avoid errors from validate.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Aug 2024 06:11:58 +0200

xf86-input-wacom (1.2.2-2) unstable; urgency=medium

  * QA upload.

  * Added 1000-appstream-metainfo.patch with Appstream mapping
    from hardware to package.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 16 Jul 2024 17:42:26 +0200

xf86-input-wacom (1.2.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Update build-dep pkg-config => pkgconf, S-D 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 May 2024 10:10:49 -0400

xf86-input-wacom (1.2.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Mar 2024 11:22:54 -0400

xf86-input-wacom (1.2.0-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Mar 2024 11:47:41 -0500

xf86-input-wacom (1.2.0-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #1057831)

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Dec 2023 14:48:19 -0500

xf86-input-wacom (1.2.0-2~exp1) experimental; urgency=medium

  * Upload to experimental for usr-merge file movement.

  [ Chris Hofstaedtler ]
  * Non-maintainer upload.
  * Use udev.pc/systemd.pc to place files

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Dec 2023 08:55:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libudev-dev,
@@ -10,10 +10,11 @@
  libxi-dev,
  libxinerama-dev,
  libxrandr-dev,
- pkg-config,
+ pkgconf,
+ systemd-dev,
  xserver-xorg-dev,
  xutils-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://linuxwacom.github.io/
 Vcs-Git: https://salsa.debian.org/debian/xf86-input-wacom.git
 Vcs-Browser: https://salsa.debian.org/debian/xf86-input-wacom

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,9 @@
 
 include /usr/share/dpkg/default.mk
 
-SYSTEMD_SYSTEM_DIR = /lib/systemd/system
-UDEV_RULES_D_DIR = /lib/udev/rules.d
+# https://bugs.debian.org/1057831
+SYSTEMD_SYSTEM_DIR = $(shell pkg-config --variable=systemdsystemunitdir systemd)
+UDEV_RULES_D_DIR = $(shell pkg-config --variable=udevdir udev)/rules.d
 XORG_MODULE_DIR = /usr/lib/xorg/modules
 
 package = xserver-xorg-input-wacom

## xf86-input-wacom 1.2.4

=== debian/changelog ===
xf86-input-wacom (1.2.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: Drop old patches.
  * debian/patches/1000-appstream-metainfo.patch: Fix homepage.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Nov 2025 15:09:38 -0500
